Download JFUploader 3.2.5, the best Joomla flash uploader

Last updated: 18.08.2017

Please download the version for your Joomla version below. The freeware edition has already all main features! The main limitation of the freeware edition is a 3 MB upload limit of the upload queue.

Please note:

  • Only the version for Joomla 3.x is php 7 compatible!
  • The latest version for Joomla 1.5.x and Joomla 1.0.x is 3.1. Updates for this versions will only be released if there are security issues.
  • The Joomla 1.5 version does install on Joomla 1.6 but does not work at all! So if you have problems with JFU on Joomla 1.6 make sure you have installed the right version!
  • The plugins needs an installed JFUploader component with the same version! Do always update the component and the plugins!
  • JFUploader for Joomla 1.6 does work fine since 1.6.0. 1.6.0 is not officially supported because the updater does give an exception! The updater does still not work in Joomla 1.6.1. JFU does already support this new feature and as soon as Joomla does fix this the internal updater can be used (seems still not to work in 1.7.0). Until then please look at the JFUploader configuration where I display when an update is available.
  • Since 2.13 you can simply update JFU by using the Joomla installer (Joomla 1.5.x and 1.6.x). Don't uninstall JFU anymore because you get a new internal id which means you have to reassign the menu entries.
  • Update to 3.x: If you like to migrate your data from an older/different Joomla installation simply make a backup of the database tables #_joomla_flash_uploader, #_joomla_flash_uploader_conf , #_joomla_flash_uploader_user and import them. Then install JFUploader 3.x. The tables are migrated to the latest version.
 
Joomla 3.x
Joomla 1.6.x/1.7.x/2.5.x

Joomla 1.5.x
(v3.1)

Joomla 1.0.x
(v3.1)

JFUploader Component
JFUploader Mambot/plugin

Since 2.11 you have to include the plugin with "jfuploader" and not with "joomla_flash_uploader" + you need a security token you can generate in the JFU administration.
JFUploader Editor extension button JFUploader Editor extension button image
The editor button of JFU replaces the "image" button of the Joomla editor. See here for details. ALWAYS update the component if you update the editor button! Most of the code is in the compoment!
not available

Component + Mambot/Plugin + Editor extension
Please unzip this file if you use Joomla 1.0.x or 1.5.x one time before installing because it contains the 3 zip files above. The editor extension is only available for Joomla 1.5 and 1.6.
For Joomla >= 1.6 the package can directly be installed with the Joomla installer


If the download is corrupt you can download the component + mambot/plugin here: JFU 3.2.5 - Joomla 3.x | JFU 3.2.2 - Joomla 1.6.x-2.5.x | JFU 3.1 - Joomla 1.5.x | JFU 3.1 - Joomla 1.0.x
Please unzip the files for Joomla 1.0.x and 1.5.x. because they contains the comonent and the mambot/plugin. The downloads for 1.6-3.0 are package installers.

See history.txt in the downloads for changes of minor versions.
JFU for Joomla 1.0.x does always contain the same version of the flash but the backend user interface is not extended anymore from version 2.10 on. You have to set the new settings in the tfu_config.php file.

SECURITY UPDATE: Please update to JFU 2.12 because some server do handle multiple extensions not properly and I added a detection for this. I have enhanced the security of JFU and especially for the plugin. I have added a new security token for the plugin which prevents that e.g. a publisher can edit a page and use a different profile where he might get more rights then he should! Additionally the server details (upload limit, timeouts) can not be seen when calling tfu_config.php anymore. JFU displays this information on the limits tab.

update Joomla file upload Update

Joomla 1.6.x - 3.x

Simply use the new update server functionality in Joomla 1.6 - 3.x. The component and all plugins can be updated this way.

You can also simply update JFU by installing JFU with the Joomla installer. Finally you still have the option to uninstall the component and install it again. Please check the restrictions of the uninstall/install in the Joomla 1.0.x section.

Joomla 1.5.x

Since JFU 2.13 you can simply update JFU by installing JFU again trough the Joomla installer. You don't have to uninstall the component anymore. Please make sure to update plugins as well. If you uninstall the component please read the Joomla 1.0.x part below.

You can update this version also by simply overwriting all files of the current installation. But you have to copy the install-, xml-, admin-, site- and all the language files to the right place! Only recommended for users that have to update many installations automatically and know what they do. The database is updated the first time you access the administration of JFU. This feature is not available for Joomla 1.6 anymore because it has the internal updater where you can update all your components directly in the administration and for most components you have to choose this way anyway...

Joomla 1.0.x

To update to the latest version of JFU simply uninstall the old component and install the new version. In the config you can select if you want to keep your settings (= keeping the database tables) or if you want to remove them too. If you keep the settings the installer does automatically updates your database to the lastest version. It adds the new settings to the existing configurations. No profile is removed or changed. The default is that the tables are not removed!

Check if the menu entries do still work. Most of the time they don't because a new internal id is most likely used for the component! If not - simply open the menu entry and reselect JFU again. If you use the plugin you have to enable the plugin again and if you where upgrading from a version before 2.11 you have to change joomla_flash_uploader to jfuploader at the places where you have included the plugin.

Follow TWG at
Twitter


Like TWG
on Facebook